Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.12 veröffentlicht (22.05.17)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Fehler bei Installationsversuch
#1
Servus!

Ich habe jetzt versucht ein neues Forum von MyBB zu installieren, stoße dabei aber auf das Problem, dass es nach der Erstellung der Datenbanken(erfolgreich!) nicht weitergeht, sondern diese in einem Fehler endet:

Code:
Warning [2] require_once(/mnt/webc/d3/58/54008758/htdocs/testforum/inc/db_.php): failed to open stream: No such file or directory - Line: 2223 - File: install/index.php PHP 5.5.9 (SunOS)

File                      Line             Function
/install/index.php     2223     errorHandler->error
/install/index.php     2223     db_connection
/install/index.php     1599     db_connection
/install/index.php     171     populate_tables


Dies ist allerdings NUR(!) bei der deutschen Installation so (sowohl formell als auch informell), wenn ich die originale englische Version installiere, geht es ohne Fehler und Probleme weiter. Hierbei jedoch: Installiere ich die deutschen Sprachpakete nach und stelle es dann im ACP darauf um, steht zwar immer dort, dass es erfolgreich übernommen wurde, es bleibt jedoch alles auf englisch (in den einstellungen selber ist aber immer noch deutsch ausgewählt).


Woran könnte dies liegen? Sonst hat es auch immer geklappt und ich habe auch sonst nichts weiter angepasst!

Vielen Dank und mfG!
#2
Da haste wohl die falschen Angaben zur Datenbank gemacht.
Mit freundlichen Grüßen

MrBrechreiz
#3
Kann ja nicht sein, die Datenbanken werden erstellt und das erfolgreich (wie bereits geschrieben), das macht es ja umso merkwürdiger.

Zudem wie gesagt: Englisch geht, Deutsch nicht!!
#4
Sind alle Daten richtig hochgeladen ?

> failed to open stream: No such file or directory<

Sag ja das er eine Datei oder Verzeichnis nicht finden kann !
#5
(01.03.2014, 17:38)DarkBaal schrieb: Servus!

Ich habe jetzt versucht ein neues Forum von MyBB zu installieren, stoße dabei aber auf das Problem, dass es nach der Erstellung der Datenbanken(erfolgreich!) nicht weitergeht, sondern diese in einem Fehler endet:

Code:
Warning [2] require_once(/mnt/webc/d3/58/54008758/htdocs/testforum/inc/db_.php): failed to open stream: No such file or directory - Line: 2223 - File: install/index.php PHP 5.5.9 (SunOS)

File                      Line             Function
/install/index.php     2223     errorHandler->error
/install/index.php     2223     db_connection
/install/index.php     1599     db_connection
/install/index.php     171     populate_tables
Das ist ein Bug in PHP 5.5 bzw. dem Opcache-Modul. Meines Wissens reicht es das Formular noch einmal mit dem gleichen Daten abzuschicken.
(01.03.2014, 17:38)DarkBaal schrieb: Dies ist allerdings NUR(!) bei der deutschen Installation so (sowohl formell als auch informell), wenn ich die originale englische Version installiere, geht es ohne Fehler und Probleme weiter.
Da sich die Versionen nur durch die Sprachdateien unterscheiden, kann ich mir das nicht vorstellen. Die Ursache für dieses Verhalten ist vermutlich eine andere, wahrscheinlich auch der Opcache von PHP 5.5.
(01.03.2014, 17:38)DarkBaal schrieb: Hierbei jedoch: Installiere ich die deutschen Sprachpakete nach und stelle es dann im ACP darauf um, steht zwar immer dort, dass es erfolgreich übernommen wurde, es bleibt jedoch alles auf englisch (in den einstellungen selber ist aber immer noch deutsch ausgewählt).
Bitte beachte die Readme der Sprachdateien, dort steht welche Einstellungen wo gesetzt werden müssen, dass alles auf deutsch umgestellt wird.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#6
Moin!

@Linuxfreak: das wäre unlogisch, da es sich hierbei um die index.php handelt und dann hätte ich die Installation nichtmal aufrufen können!


@StefanT:

Das mit dem Forum Englisch<->Deutsch habe ich öfter ausprobiert und konnte es zu 100% immer wieder reproduzieren, ich nehme also an irgendwo ist da eventuell shcon noch was anders oder das deutsche Sprachpaket ist irgendwo zu umständlich eingebunden und daher kommt es dort öfter zu Komplikationen (ist mir auch schon mit einigen PlugIns passiert, die sich nur auf der englischen Forenversion installieren liesen, aber nicht auf der dt.)


Wo die Sprachdeteien reinkommen und was gemacht werden muss ist mir auch klar, ich bin ja nun schon länger mit MyBB am Machen.


Da du angenommen hast, dass es ain PHP 5.5 Bug wäre, habe ich mal auf 5.3 gedowngraded und dort hat es ebenso wenig funktioniert. Allerdings ist mir dann bei meinem Hostingpartner eine Option aufgefallen, die nannte sich "PHP-Boost" (kannte ich bis dato noch gar nicht) und diesen habe ich mal deaktiviert, dann hat es auch einwandfrei funktioniert (sowohl in Deutsch installieren, als auch die Sprachdateien übernehmen).

Ich finde es nur merkwürdig, auf eben jener Webpräsenz habe ich nunmehr 6 verschiedene MyBB Foren laufen und alle konnte ich ohne Probleme installieren und ausführen, da es PHP 5.5 nun schon lange gibt (und laut Infodatenblatt der Boost seid 5.3 aktiviert werden kann), finde ich es umso merkwürdiger, dass es ausgerechnet jetzt nicht funktioniert hat.


Wie dem auch sei, jetzt konnte ich es installieren, also lag es an dem Boost-Verfahren, das könntet ihr in die Fehlerbehebung mit rein nehmen.
#7
(02.03.2014, 17:09)DarkBaal schrieb: Da du angenommen hast, dass es ain PHP 5.5 Bug wäre, habe ich mal auf 5.3 gedowngraded und dort hat es ebenso wenig funktioniert.
Dann verwendet dein Hoster keine gewöhnliche Version von PHP 5.3. Dieses Problem ist nur im Zusammenhang mit dem Opcache von PHP 5.5 (den gibt es in früheren Versionen nicht) bekannt und auch mittlerweile behoben: https://bugs.php.net/bug.php?id=65559
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#8
Gut zu wissen.

Mein Hoster ist btw STRATO, nur für den Fall dass Ihr die Infos nochmal brauchen werdet Wink